Request

Response

    Advanced Search
    POST

    vaults/{vaultId}:advanced-search

    Searches for entities within the specified Knowledge Vault.

    The search can be customized based on various parameters such as entity types (File, Folder, Item, ChangeOrder), specific folders, and search criteria. Callers can sort the results, limit the search to the latest or released files or items only, and decide whether to include subfolders or full models in the search.

    The vaultId URI parameter identifies the targeted Knowledge Vault.

    Resource Information

    Method and URI
    POST
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}:advanced-search
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    Content-Type*
    string
    Must be application/json
    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.

    Request

    Query String Parameters

    limit
    int
    The maximum number of results to return per page. Defaults to 100.

    The hard upper bound is controlled by the Page size configuration setting, which an administrator can update through ADMS (Global Setting -> Page size configuration).

    cursorState
    string
    The cursor token used to fetch the next page of results. Pass the value returned in pagination.nextUrl from the previous response to continue paging.
    option[searchSubFolders]
    boolean
    true: Search sub-folders of the folders specified in foldersToSearch in the request body.

    false: (Default) Do not search sub-folders of the folders specified in foldersToSearch in the request body.

    If no folders are specified in foldersToSearch in the request body, then this parameter will not have any effect.

    option[releasedFilesOnly]
    boolean
    true: Include only versions that are consumable (released) state.

    false: (Default) Include all versions.

    option[releasedItemsOnly]
    boolean
    true: Include only versions that are consumable (released) state.

    false: (Default) Include all versions.

    option[latestOnly]
    boolean
    true: (Default) Include only the latest version.

    false: Include all versions.

    option[extendedModels]
    boolean
    true: The response will include additional detailed information for each entity. Examples include:
    • For folders (getFolders), it will return FolderExtended instead of Folder, which includes additional information such as the parent folder.
    • For file versions (getFileVersions), it will return FileVersionExtended instead of FileVersion, which includes extra details like the checkout user ID.
    • For change orders (getChangeOrders), it will return ChangeOrderExtended instead of ChangeOrder, which provides further information such as the list of assignees.
    • For property definitions (getPropertyDefinitions), it will return PropertyDefinitionExtended instead of PropertyDefinition, which includes extra details like list values.

    false: (Default) The response will include basic information for each entity.

    option[propDefIds]
    string
    The properties to include in the response. Provide a comma-separated list of property definition IDs (for example, 1,2,3) or pass all to return every property.

    Request

    Body Structure

    Expand all
    entityTypesToSearch
    array: string
    EntityTypes to search. If null or empty value is passed, it will include results from all entity types.
    foldersToSearch
    array: string
    URL string array for the folder entities.
    searchCriterias*
    array: object
    The search parameters.
    propertyDefinitionUrl
    string
    The relative URL of the property definition to evaluate in this criterion.
    operator*
    enum:string
    Represents the operator used for the search. Possible values: Unknown, Contains, DoesNotContain, IsExactly, IsEmpty, IsNotEmpty, GreaterThan, GreaterThanOrEqualTo, LessThan, LessThanOrEqualTo, NotEqualTo
    searchString
    string
    The value to compare against using the supplied operator.
    sortCriterias
    array: object
    The properties to sort on.
    propertyDefinitionUrl
    string
    URL string to the property definition
    ascending
    boolean
    true: Sort results in ascending order.

    false: Sort results in descending order.

    * Required

    Response

    HTTP Status Code Summary

    200
    OK
    The search results were successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    Contains pagination metadata for navigating through large result sets.
    limit
    int
    The maximum number of results that can be returned in this response. The actual number of results may be fewer due to filtering, data availability, or other constraints. This reflects the limit value applied by the server, which may differ from the requested limit.
    totalResults
    int
    The total number of results available across all pages that match the query criteria, regardless of pagination limits.
    indexingStatus
    enum:string
    Indicates the current status of the indexing engine. This status helps users understand whether the indexing operation is complete or still in progress. This is particularly important for customers with large datasets, as indexing can take a considerable amount of time to complete. Possible values:
    • IndexingComplete - All properties and content have been indexed.
    • IndexingProperties - File properties are currently being indexed.
    • IndexingContent - File content is currently being indexed.
    • NA - Not applicable as data not retrieved from index.

    Note: When the status is either ‘IndexingProperties’ or ‘IndexingContent’, the search results are incomplete because the indexes are still being created. Complete search results will be available once fully indexed.

    nextUrl
    string
    The URL used to retrieve the next page of results. The URL includes an embedded cursor token for the subsequent call. When null or absent, this is the final page. Note that a page may be empty but still include a next page URL. Continue paging until this attribute is null or absent.
    results
    array: object
    An array of entities.
    anyOf
    File Version
    object
    Contains standard file iteration metadata returned by Vault.
    id
    string
    The unique identifier (iteration ID) of the file version.
    name
    string
    The name of the file. This value applies to all versions of the file.
    category
    string
    The category assigned to this file.
    categoryColor
    number
    The color of the category.
    classification
    all of
    The classification assigned to this file.
    File Classification Enum
    enum:string
    The Vault classification for the file master. Possible values:
    • None - No specialized classification.
    • DesignVisualization - Design visualization asset (for example, DWF).
    • DesignDocument - Primary design document.
    • ConfigurationMember - Member of a configuration.
    • ConfigurationFactory - Factory configuration asset.
    • ElectricalProject - Electrical project content.
    • DesignSubstitute - Substitute component representation.
    • DesignRepresentation - Alternate design representation.
    • DesignPresentation - Presentation-oriented design content.
    entityType
    string
    The type of entity represented by this file version.
    version
    number
    The sequential version number of the file. A file that has just been added to the Vault has a version of 1.
    createDate
    datetime: ISO 8601
    The date and time when this version of the file was created in the Vault. For the first version of a file, this matches the check-in date. For later versions, this is the time when the previous version was checked out.
    lastModifiedDate
    datetime: ISO 8601
    The last modified date of the file. This value is set by the client that uploaded the file.
    revision
    string
    The revision label for this file.
    state
    string
    The name of the lifecycle state for this file version.
    stateColor
    number
    The color of the lifecycle state.
    parentFolderId
    string
    The unique identifier of the parent folder containing this file.
    file
    all of
    The file master object for this file version.
    File
    object
    Contains the Vault file master identity and referenced file version.
    id
    string
    The unique identifier (master ID) of the file.
    url
    all of
    The relative URL to access this file.
    0
    string
    The relative URL to access this object.
    versionType
    all of
    The version type of the referenced file version.
    Version Type Enum
    enum:string
    Specifies which file or item iteration to resolve. Possible values:
    • None - No special version selection.
    • Latest - Use the latest iteration.
    • LatestReleased - Use the latest released (consumable) iteration.
    fileVersion
    all of
    The referenced file version details.
    File Version Extended
    all of
    Contains extended file version metadata including checkout user and lifecycle state.
    File Version
    1
    object
    parent
    all of
    The parent folder containing this file version.
    Folder
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    isCheckedOut
    boolean
    Indicates whether the latest version of this file is in the checked-out state.

    true: The latest file version is checked out.

    false: The latest file version is not checked out.

    createUserName
    string
    The Name of the user who checked-in or uploaded this file.
    checkinDate
    datetime: ISO 8601
    The date and time that the file was checked in. This property is only valid if isCheckedOut is false.
    checkoutDate
    datetime: ISO 8601
    The date and time when the file was last checked out.
    checkoutUserName
    string
    The user name of the user who currently has the file checked out.
    size
    number
    The size, in bytes, of the file. This property is only valid if isCheckedOut is false.
    url
    all of
    The relative URL to access this file version.
    0
    string
    The relative URL to access this object.
    hasVisualizationAttachment
    boolean
    Indicates whether a valid visualization attachment status is available (value is not None).

    true: A valid visualization attachment status is available.

    false: A valid visualization attachment status is not available.

    visualizationAttachmentStatus
    all of
    The visualization attachment status for this file version.
    File Visualization Attachment Status Enum
    enum:string
    The synchronization state of design visualization attachments. Possible values:
    • None - No visualization attachment status applies.
    • Syncronized - Visualization is synchronized with the CAD source (wire spelling as returned by Vault).
    • NotSyncronized - Visualization is not synchronized.
    • UserVerified - A user verified the visualization attachment.
    • Legacy - Legacy visualization attachment record.
    isReadOnly
    boolean
    Indicates whether this file is read-only for the current user.

    true: This file is read-only.

    false: This file is editable.

    isCloaked
    boolean
    Indicates whether this file is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This file is cloaked.

    false: This file is not cloaked.

    isOnSite
    boolean
    Indicates whether the file is on the local site (in a multi-site environment). This value is always true in a single-site environment.

    true: The file is on the local site.

    false: The file is not on the local site.

    properties
    array: object
    An array of property values for this file version.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    File Version Extended
    all of
    Contains extended file version metadata including checkout user and lifecycle state.
    File Version
    object
    Contains standard file iteration metadata returned by Vault.
    id
    string
    The unique identifier (iteration ID) of the file version.
    name
    string
    The name of the file. This value applies to all versions of the file.
    category
    string
    The category assigned to this file.
    categoryColor
    number
    The color of the category.
    classification
    all of
    The classification assigned to this file.
    File Classification Enum
    enum:string
    The Vault classification for the file master. Possible values:
    • None - No specialized classification.
    • DesignVisualization - Design visualization asset (for example, DWF).
    • DesignDocument - Primary design document.
    • ConfigurationMember - Member of a configuration.
    • ConfigurationFactory - Factory configuration asset.
    • ElectricalProject - Electrical project content.
    • DesignSubstitute - Substitute component representation.
    • DesignRepresentation - Alternate design representation.
    • DesignPresentation - Presentation-oriented design content.
    entityType
    string
    The type of entity represented by this file version.
    version
    number
    The sequential version number of the file. A file that has just been added to the Vault has a version of 1.
    createDate
    datetime: ISO 8601
    The date and time when this version of the file was created in the Vault. For the first version of a file, this matches the check-in date. For later versions, this is the time when the previous version was checked out.
    lastModifiedDate
    datetime: ISO 8601
    The last modified date of the file. This value is set by the client that uploaded the file.
    revision
    string
    The revision label for this file.
    state
    string
    The name of the lifecycle state for this file version.
    stateColor
    number
    The color of the lifecycle state.
    parentFolderId
    string
    The unique identifier of the parent folder containing this file.
    file
    all of
    The file master object for this file version.
    File
    object
    Contains the Vault file master identity and referenced file version.
    id
    string
    The unique identifier (master ID) of the file.
    url
    all of
    The relative URL to access this file.
    0
    string
    The relative URL to access this object.
    versionType
    all of
    The version type of the referenced file version.
    Version Type Enum
    enum:string
    Specifies which file or item iteration to resolve. Possible values:
    • None - No special version selection.
    • Latest - Use the latest iteration.
    • LatestReleased - Use the latest released (consumable) iteration.
    fileVersion
    all of
    The referenced file version details.
    File Version Extended
    parent
    all of
    The parent folder containing this file version.
    Folder
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    isCheckedOut
    boolean
    Indicates whether the latest version of this file is in the checked-out state.

    true: The latest file version is checked out.

    false: The latest file version is not checked out.

    createUserName
    string
    The Name of the user who checked-in or uploaded this file.
    checkinDate
    datetime: ISO 8601
    The date and time that the file was checked in. This property is only valid if isCheckedOut is false.
    checkoutDate
    datetime: ISO 8601
    The date and time when the file was last checked out.
    checkoutUserName
    string
    The user name of the user who currently has the file checked out.
    size
    number
    The size, in bytes, of the file. This property is only valid if isCheckedOut is false.
    url
    all of
    The relative URL to access this file version.
    0
    string
    The relative URL to access this object.
    hasVisualizationAttachment
    boolean
    Indicates whether a valid visualization attachment status is available (value is not None).

    true: A valid visualization attachment status is available.

    false: A valid visualization attachment status is not available.

    visualizationAttachmentStatus
    all of
    The visualization attachment status for this file version.
    File Visualization Attachment Status Enum
    enum:string
    The synchronization state of design visualization attachments. Possible values:
    • None - No visualization attachment status applies.
    • Syncronized - Visualization is synchronized with the CAD source (wire spelling as returned by Vault).
    • NotSyncronized - Visualization is not synchronized.
    • UserVerified - A user verified the visualization attachment.
    • Legacy - Legacy visualization attachment record.
    isReadOnly
    boolean
    Indicates whether this file is read-only for the current user.

    true: This file is read-only.

    false: This file is editable.

    isCloaked
    boolean
    Indicates whether this file is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This file is cloaked.

    false: This file is not cloaked.

    isOnSite
    boolean
    Indicates whether the file is on the local site (in a multi-site environment). This value is always true in a single-site environment.

    true: The file is on the local site.

    false: The file is not on the local site.

    properties
    array: object
    An array of property values for this file version.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    1
    object
    Folder
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    Folder Extended
    all of
    Contains extended folder metadata such as parent folder and lifecycle state.
    Folder
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    1
    object
    Change Order
    object
    Contains core change order metadata and properties returned by the API.
    id
    string
    The unique identifier (master ID) of this Change Order.
    url
    all of
    The relative URL to access this Change Order.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this Change Order. This value is the Change Order number.
    createDate
    datetime: ISO 8601
    The date and time when the Change Order was created.
    number
    string
    The Change Order number. Numbers are generated based on the configured numbering scheme.
    title
    string
    The title of the Change Order.
    description
    string
    The description of the Change Order.
    approveDeadline
    datetime: ISO 8601
    The date and time by which the Change Order must be approved.
    lastModifiedDate
    datetime: ISO 8601
    The date and time when the Change Order was last modified.
    lastModifiedUserId
    string
    The unique identifier of the user who last modified the Change Order.
    closeDate
    datetime: ISO 8601
    The date and time when the Change Order was closed.
    lastTouchedDate
    datetime: ISO 8601
    The date and time when the Change Order was last touched (modified or interacted with).
    entityType
    string
    The type of entity represented by this Change Order.
    numberOfAttachments
    number
    The number of file attachments on this Change Order.
    properties
    array: object
    An array of property values for this Change Order.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    state
    string
    The name of the Change Order’s lifecycle state.
    stateColor
    number
    The color of the state.
    isReadOnly
    boolean
    Indicates whether the Change Order is currently locked.

    true: The Change Order is locked.

    false: The Change Order is not locked.

    Change Order Extended
    all of
    Contains extended change order details, including assignees, in addition to core change order fields.
    Change Order
    object
    Contains core change order metadata and properties returned by the API.
    id
    string
    The unique identifier (master ID) of this Change Order.
    url
    all of
    The relative URL to access this Change Order.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this Change Order. This value is the Change Order number.
    createDate
    datetime: ISO 8601
    The date and time when the Change Order was created.
    number
    string
    The Change Order number. Numbers are generated based on the configured numbering scheme.
    title
    string
    The title of the Change Order.
    description
    string
    The description of the Change Order.
    approveDeadline
    datetime: ISO 8601
    The date and time by which the Change Order must be approved.
    lastModifiedDate
    datetime: ISO 8601
    The date and time when the Change Order was last modified.
    lastModifiedUserId
    string
    The unique identifier of the user who last modified the Change Order.
    closeDate
    datetime: ISO 8601
    The date and time when the Change Order was closed.
    lastTouchedDate
    datetime: ISO 8601
    The date and time when the Change Order was last touched (modified or interacted with).
    entityType
    string
    The type of entity represented by this Change Order.
    numberOfAttachments
    number
    The number of file attachments on this Change Order.
    properties
    array: object
    An array of property values for this Change Order.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    state
    string
    The name of the Change Order’s lifecycle state.
    stateColor
    number
    The color of the state.
    isReadOnly
    boolean
    Indicates whether the Change Order is currently locked.

    true: The Change Order is locked.

    false: The Change Order is not locked.

    1
    object
    assignees
    array: object
    id
    string
    A unique number that the Vault uses to reference the user.
    name
    string
    The login name of the user.
    email
    string
    The email address of the user.
    authTypes
    all of
    The authentication types available for this user.
    AuthType Enum
    enum:string
    Specifies which account directory backs the sign-in record. Possible values:
    • ActiveDirectory - Account is linked to Active Directory.
    • Vault - Account is native to Vault.
    • Autodesk - Account is linked to Autodesk ID.
    systemName
    string
    The internal system name of the user.
    createDate
    datetime: ISO 8601
    The date that the user was created.
    isActive
    boolean
    Indicates whether this user is active.

    true: The user is active.

    false: The user is inactive.

    url
    all of
    The relative URL to access this user.
    0
    string
    The relative URL to access this object.
    Link
    object
    Contains metadata linking two Vault entities.
    name
    string
    The name of the link.
    id
    string
    The unique identifier of this link.
    createDate
    datetime: ISO 8601
    The date and time when the link was created.
    createUserName
    string
    The user name of the user who created the link.
    entityType
    string
    The type of entity represented by this link.
    url
    all of
    The relative URL to access this link.
    0
    string
    The relative URL to access this object.
    toEntity
    all of
    The destination entity for this link.
    Entity
    object
    Contains a generic entity representation with every field the API supports for mixed search results.
    id
    string
    The unique identifier of the entity.
    name
    string
    The name of the entity.
    fullName
    string
    The full Vault path of this entity when it is a folder.
    number
    string
    The entity number when this entity type supports numbering.
    category
    string
    The category assigned to this entity.
    categoryColor
    number
    The color of the category.
    entityType
    string
    The type of entity represented by this result.
    version
    number
    The version number when the entity is an iteration object.
    createDate
    datetime: ISO 8601
    The date and time when this version of the entity was created in the Vault.
    lastModifiedDate
    datetime: ISO 8601
    The date and time when this entity was last modified.
    revision
    string
    The revision label for this entity.
    state
    string
    The name of the lifecycle state for the entity.
    stateColor
    number
    The color of the state.
    parentFolderId
    string
    The unique identifier of the parent folder.
    parent
    all of
    The parent folder of this entity.
    Folder
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    isCheckedOut
    boolean
    Indicates whether the latest version of this entity is checked out.

    true: The latest version is checked out.

    false: The latest version is not checked out.

    createUserName
    string
    The user name of the user who created this entity version.
    checkinDate
    datetime: ISO 8601
    The date and time when this entity was checked in.
    checkoutDate
    datetime: ISO 8601
    The date and time when this entity was checked out.
    size
    number
    The size of the entity content in bytes.
    url
    all of
    The relative URL to access this entity.
    0
    string
    The relative URL to access this object.
    hasVisualizationAttachment
    boolean
    Indicates whether a visualization attachment is available for this entity.

    true: A visualization attachment is available.

    false: A visualization attachment is not available.

    checkoutUserName
    string
    The user name of the user who currently has this entity checked out.
    isLibrary
    boolean
    Indicates whether this entity belongs to a library.

    true: This entity belongs to a library.

    false: This entity does not belong to a library.

    isReadOnly
    boolean
    Indicates whether this entity is read-only for the current user.

    true: This entity is read-only.

    false: This entity is editable.

    isCloaked
    boolean
    Indicates whether this entity is cloaked.

    true: This entity is cloaked.

    false: This entity is not cloaked.

    file
    all of
    The file object associated with this entity.
    File
    object
    Contains the Vault file master identity and referenced file version.
    id
    string
    The unique identifier (master ID) of the file.
    url
    all of
    The relative URL to access this file.
    0
    string
    The relative URL to access this object.
    versionType
    all of
    The version type of the referenced file version.
    Version Type Enum
    enum:string
    Specifies which file or item iteration to resolve. Possible values:
    • None - No special version selection.
    • Latest - Use the latest iteration.
    • LatestReleased - Use the latest released (consumable) iteration.
    fileVersion
    all of
    The referenced file version details.
    File Version Extended
    all of
    Contains extended file version metadata including checkout user and lifecycle state.
    File Version
    object
    Contains standard file iteration metadata returned by Vault.
    id
    string
    The unique identifier (iteration ID) of the file version.
    name
    string
    The name of the file. This value applies to all versions of the file.
    category
    string
    The category assigned to this file.
    categoryColor
    number
    The color of the category.
    classification
    all of
    The classification assigned to this file.
    File Classification Enum
    enum:string
    The Vault classification for the file master. Possible values:
    • None - No specialized classification.
    • DesignVisualization - Design visualization asset (for example, DWF).
    • DesignDocument - Primary design document.
    • ConfigurationMember - Member of a configuration.
    • ConfigurationFactory - Factory configuration asset.
    • ElectricalProject - Electrical project content.
    • DesignSubstitute - Substitute component representation.
    • DesignRepresentation - Alternate design representation.
    • DesignPresentation - Presentation-oriented design content.
    entityType
    string
    The type of entity represented by this file version.
    version
    number
    The sequential version number of the file. A file that has just been added to the Vault has a version of 1.
    createDate
    datetime: ISO 8601
    The date and time when this version of the file was created in the Vault. For the first version of a file, this matches the check-in date. For later versions, this is the time when the previous version was checked out.
    lastModifiedDate
    datetime: ISO 8601
    The last modified date of the file. This value is set by the client that uploaded the file.
    revision
    string
    The revision label for this file.
    state
    string
    The name of the lifecycle state for this file version.
    stateColor
    number
    The color of the lifecycle state.
    parentFolderId
    string
    The unique identifier of the parent folder containing this file.
    file
    all of
    The file master object for this file version.
    File
    parent
    all of
    The parent folder containing this file version.
    Folder
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    isCheckedOut
    boolean
    Indicates whether the latest version of this file is in the checked-out state.

    true: The latest file version is checked out.

    false: The latest file version is not checked out.

    createUserName
    string
    The Name of the user who checked-in or uploaded this file.
    checkinDate
    datetime: ISO 8601
    The date and time that the file was checked in. This property is only valid if isCheckedOut is false.
    checkoutDate
    datetime: ISO 8601
    The date and time when the file was last checked out.
    checkoutUserName
    string
    The user name of the user who currently has the file checked out.
    size
    number
    The size, in bytes, of the file. This property is only valid if isCheckedOut is false.
    url
    all of
    The relative URL to access this file version.
    0
    string
    The relative URL to access this object.
    hasVisualizationAttachment
    boolean
    Indicates whether a valid visualization attachment status is available (value is not None).

    true: A valid visualization attachment status is available.

    false: A valid visualization attachment status is not available.

    visualizationAttachmentStatus
    all of
    The visualization attachment status for this file version.
    File Visualization Attachment Status Enum
    enum:string
    The synchronization state of design visualization attachments. Possible values:
    • None - No visualization attachment status applies.
    • Syncronized - Visualization is synchronized with the CAD source (wire spelling as returned by Vault).
    • NotSyncronized - Visualization is not synchronized.
    • UserVerified - A user verified the visualization attachment.
    • Legacy - Legacy visualization attachment record.
    isReadOnly
    boolean
    Indicates whether this file is read-only for the current user.

    true: This file is read-only.

    false: This file is editable.

    isCloaked
    boolean
    Indicates whether this file is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This file is cloaked.

    false: This file is not cloaked.

    isOnSite
    boolean
    Indicates whether the file is on the local site (in a multi-site environment). This value is always true in a single-site environment.

    true: The file is on the local site.

    false: The file is not on the local site.

    properties
    array: object
    An array of property values for this file version.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    1
    object
    item
    all of
    The item object associated with this entity.
    Item
    object
    Contains the item identity and referenced item iteration returned by list operations.
    id
    string
    The unique identifier (master ID) of the item.
    url
    all of
    The relative URL to access this item.
    0
    string
    The relative URL to access this object.
    versionType
    all of
    The version type of the referenced item version.
    Version Type Enum
    enum:string
    Specifies which file or item iteration to resolve. Possible values:
    • None - No special version selection.
    • Latest - Use the latest iteration.
    • LatestReleased - Use the latest released (consumable) iteration.
    itemVersion
    all of
    The referenced item version details.
    Item Version
    object
    Contains metadata for an item iteration, including numbering, lifecycle, and referenced item master.
    id
    string
    The unique identifier (iteration ID) of the item version.
    url
    all of
    The relative URL to access this item version.
    0
    string
    The relative URL to access this object.
    number
    string
    The Item number.
    version
    number
    The version number, which is a sequential number given to each version. For example, if this value is 5, then the object is the 5th version.
    revision
    string
    The display value for the revision.
    comment
    string
    The comment associated with this item version.
    title
    string
    The display title.
    state
    string
    The lifecycle state of this item version.
    stateColor
    number
    The color associated with the item’s lifecycle state.
    name
    string
    The display name of the item.
    category
    string
    The category assigned to this item.
    categoryColor
    number
    The color associated with the item’s category.
    entityType
    string
    The type of entity represented by this item version.
    isReadOnly
    boolean
    Indicates whether this item version is read-only for the current user.

    true: This item version is read-only.

    false: This item version is editable.

    isCloaked
    boolean
    Indicates whether this item version is cloaked for the logged-in user.

    true: The logged-in user is restricted from seeing this item version.

    false: The logged-in user can view this item version.

    isLatestObsolete
    boolean
    Indicates whether the latest item version is obsolete.

    true: The latest item version is obsolete.

    false: The latest item version is not obsolete.

    item
    all of
    The item master associated with this item version.
    Item
    lifecycleState
    all of
    The lifecycle state of this item version.
    Lifecycle State
    object
    Contains a lifecycle state.
    id
    string
    The unique identifier of a server-based lifecycle state.
    url
    all of
    The relative URL to access this lifecycle state.
    0
    string
    The relative URL to access this object.
    name
    string
    The name of this lifecycle state.
    displayName
    string
    The display name of this lifecycle state.
    description
    string
    The description of this lifecycle state.
    comments
    array: string
    A list of predefined comments available for selection when changing entity states.
    isDefault
    boolean
    true: This state is the default state of the lifecycle definition.

    false: This state is not the default state of the lifecycle definition.

    color
    int
    The color code of this lifecycle state icon.
    isReleasedState
    boolean
    Indicates whether this state is a released state.

    true: This state is a released state.

    false: This state is not a released state.

    isObsoleteState
    boolean
    Indicates whether this state is an obsolete state.

    true: This state is an obsolete state.

    false: This state is not an obsolete state.

    displayOrder
    int
    The display order of this state among other states of the same lifecycle definition.
    properties
    array: object
    An array of property values for this item version.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    subfolderCount
    number
    The number of immediate subfolders.
    children
    string
    The URI to retrieve child entities.
    properties
    array: object
    An array of property values for this entity.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    fromEntity
    all of
    The source entity for this link.
    Folder
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    Item Version
    object
    Contains metadata for an item iteration, including numbering, lifecycle, and referenced item master.
    id
    string
    The unique identifier (iteration ID) of the item version.
    url
    all of
    The relative URL to access this item version.
    0
    string
    The relative URL to access this object.
    number
    string
    The Item number.
    version
    number
    The version number, which is a sequential number given to each version. For example, if this value is 5, then the object is the 5th version.
    revision
    string
    The display value for the revision.
    comment
    string
    The comment associated with this item version.
    title
    string
    The display title.
    state
    string
    The lifecycle state of this item version.
    stateColor
    number
    The color associated with the item’s lifecycle state.
    name
    string
    The display name of the item.
    category
    string
    The category assigned to this item.
    categoryColor
    number
    The color associated with the item’s category.
    entityType
    string
    The type of entity represented by this item version.
    isReadOnly
    boolean
    Indicates whether this item version is read-only for the current user.

    true: This item version is read-only.

    false: This item version is editable.

    isCloaked
    boolean
    Indicates whether this item version is cloaked for the logged-in user.

    true: The logged-in user is restricted from seeing this item version.

    false: The logged-in user can view this item version.

    isLatestObsolete
    boolean
    Indicates whether the latest item version is obsolete.

    true: The latest item version is obsolete.

    false: The latest item version is not obsolete.

    item
    all of
    The item master associated with this item version.
    Item
    object
    Contains the item identity and referenced item iteration returned by list operations.
    id
    string
    The unique identifier (master ID) of the item.
    url
    all of
    The relative URL to access this item.
    0
    string
    The relative URL to access this object.
    versionType
    all of
    The version type of the referenced item version.
    Version Type Enum
    enum:string
    Specifies which file or item iteration to resolve. Possible values:
    • None - No special version selection.
    • Latest - Use the latest iteration.
    • LatestReleased - Use the latest released (consumable) iteration.
    itemVersion
    all of
    The referenced item version details.
    Item Version
    lifecycleState
    all of
    The lifecycle state of this item version.
    Lifecycle State
    object
    Contains a lifecycle state.
    id
    string
    The unique identifier of a server-based lifecycle state.
    url
    all of
    The relative URL to access this lifecycle state.
    0
    string
    The relative URL to access this object.
    name
    string
    The name of this lifecycle state.
    displayName
    string
    The display name of this lifecycle state.
    description
    string
    The description of this lifecycle state.
    comments
    array: string
    A list of predefined comments available for selection when changing entity states.
    isDefault
    boolean
    true: This state is the default state of the lifecycle definition.

    false: This state is not the default state of the lifecycle definition.

    color
    int
    The color code of this lifecycle state icon.
    isReleasedState
    boolean
    Indicates whether this state is a released state.

    true: This state is a released state.

    false: This state is not a released state.

    isObsoleteState
    boolean
    Indicates whether this state is an obsolete state.

    true: This state is an obsolete state.

    false: This state is not an obsolete state.

    displayOrder
    int
    The display order of this state among other states of the same lifecycle definition.
    properties
    array: object
    An array of property values for this item version.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    included
    object
    Contains additional resources included with the entity results.
    folder
    object
    *
    object
    Contains standard folder metadata returned by Vault.
    id
    string
    The unique identifier of this folder.
    url
    all of
    The relative URL to access this folder.
    0
    string
    The relative URL to access this object.
    name
    string
    The descriptive name of this folder. This is the folder name without the full path.
    fullName
    string
    The full Vault path for this folder (for example, $/Folder1).
    createDate
    datetime: ISO 8601
    The date and time when the folder was created.
    createUserName
    string
    The name of the user who created this folder.
    category
    string
    The category assigned to this folder.
    categoryColor
    number
    The color of the category.
    state
    string
    The name of the lifecycle state for this folder.
    stateColor
    number
    The color of the lifecycle state.
    subfolderCount
    number
    The number of immediate child folders.
    children
    string
    The URI to retrieve child folders.
    isLibrary
    boolean
    Indicates whether this folder is a library folder.

    true: This folder is a library folder.

    false: This folder is not a library folder.

    isReadOnly
    boolean
    Indicates whether this folder can be modified by the logged-in user.

    true: This folder is read-only for the logged-in user.

    false: This folder can be modified by the logged-in user.

    isCloaked
    boolean
    Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.

    true: This folder is cloaked.

    false: This folder is not cloaked.

    properties
    array: object
    An array of property values for this folder.
    propertyDefinitionId
    string
    The unique identifier of the property definition that this value belongs to.
    definition
    all of
    The property definition metadata for this property value.
    Property Definition
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.
    value
    string
    The property value associated with the entity for the referenced property definition.
    propertyDefinition
    object
    *
    object
    Contains server-side metadata for a Vault property definition, including datatype and naming.
    id
    string
    The unique identifier of the property definition.
    url
    all of
    The relative URL to access this property definition.
    0
    string
    The relative URL to access this object.
    displayName
    string
    The display name of this property definition.
    systemName
    string
    The system name of this property definition.
    dataType
    enum:string
    The underlying data type stored for values of this property. Possible values: String, Numeric, Bool, DateTime, Image
    active
    boolean
    Indicates whether this property definition is active.

    true: This property definition is active.

    false: This property definition is inactive.

    isSystem
    boolean
    Indicates whether this property definition is a built-in system property.

    true: This is a system property.

    false: This is a user-defined property.

    initialValue
    string
    The default value applied to entities that do not have an existing value for this property definition.

    Example

    This example illustrates how to search files and folders in a vault, with a limit of 2.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/117:advanced-search?limit=2' \
      -X 'POST' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
      -d '{
        "EntityTypesToSearch": [
            "file",
            "folder"
        ],
        "FoldersToSearch": [],
        "SearchCriterias": [],
        "SortCriterias": null
      }'
    
    Show More

    Response

    {
      "pagination": {
        "limit": 2,
        "totalResults": 3163,
        "nextUrl": "/AutodeskDM/Services/api/vault/v2/vaults/1:advanced-search?limit=2&cursorState=3!PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTE2Ij8%2bDQo8UHJvcGVydGllcz4NCiAgPFBhaXIgTm09IkVudGl0eUlkIiBWYWw9IiAmI3gxOyYjeDA7JiN4MDsmI3gwOyYjeDA7JiN4MDsmI3gwOyYjeDI7QlMiIC8%2bDQo8L1Byb3BlcnRpZXM%2b",
        "indexingStatus": "IndexingComplete"
      },
      "results": [
        {
          "name": "0afdcc45-fafe-417e-a21f-8acaa3d5dd9f.dwf",
          "id": "41331",
          "state": "",
          "stateColor": 0,
          "revision": "",
          "category": "Base",
          "categoryColor": -1,
          "lastModifiedDate": "2024-10-12T09:05:46.27Z",
          "isCheckedOut": false,
          "hasVisualizationAttachment": false,
          "size": 1,
          "isCloaked": false,
          "checkinDate": "2024-10-12T09:05:46.59Z",
          "isHidden": false,
          "isReadOnly": false,
          "parentFolderId": "1",
          "file": {
            "id": "41330",
            "entityType": "File",
            "url": "/AutodeskDM/Services/api/vault/v2/vaults/1/files/41330"
          },
          "isOnSite": true,
          "createDate": "2024-10-12T09:05:46.59Z",
          "createUserName": "Administrator",
          "classification": "None",
          "visualizationAttachmentStatus": "None",
          "version": 1,
          "entityType": "FileVersion",
          "url": "/AutodeskDM/Services/api/vault/v2/vaults/1/file-versions/41331"
        },
        {
          "name": "8f299e24-b624-43f0-bdd3-a57c0dcbc690.IAM",
          "id": "41299",
          "state": "",
          "stateColor": 0,
          "revision": "",
          "category": "Base",
          "categoryColor": -1,
          "lastModifiedDate": "2024-10-12T08:44:34.12Z",
          "isCheckedOut": false,
          "hasVisualizationAttachment": true,
          "size": 0,
          "isCloaked": false,
          "checkinDate": "2024-10-12T08:44:34.127Z",
          "isHidden": false,
          "isReadOnly": false,
          "parentFolderId": "41285",
          "file": {
            "id": "41298",
            "entityType": "File",
            "url": "/AutodeskDM/Services/api/vault/v2/vaults/1/files/41298"
          },
          "isOnSite": true,
          "createDate": "2024-10-12T08:44:34.127Z",
          "createUserName": "Administrator",
          "classification": "None",
          "visualizationAttachmentStatus": "NotSyncronized",
          "version": 1,
          "entityType": "FileVersion",
          "url": "/AutodeskDM/Services/api/vault/v2/vaults/1/file-versions/41299"
        }
      ],
      "included": {
        "folder": {
          "1": {
            "name": "$",
            "id": "1",
            "fullName": "$",
            "categoryColor": -1,
            "stateColor": 0,
            "subfolderCount": 44,
            "isLibrary": false,
            "isCloaked": false,
            "isReadOnly": false,
            "createDate": "2016-10-17T19:07:41.12Z",
            "createUserName": "Administrator",
            "entityType": "Folder",
            "url": "/AutodeskDM/Services/api/vault/v2/vaults/1/folders/1"
          },
          "41285": {
            "name": "919466e4-19d5-4119-a249-936864b8750f",
            "id": "41285",
            "fullName": "$/919466e4-19d5-4119-a249-936864b8750f",
            "category": "Folder",
            "categoryColor": -1,
            "stateColor": 0,
            "subfolderCount": 0,
            "isLibrary": false,
            "isCloaked": false,
            "isReadOnly": false,
            "createDate": "2024-10-12T08:44:25.61Z",
            "createUserName": "Administrator",
            "entityType": "Folder",
            "url": "/AutodeskDM/Services/api/vault/v2/vaults/1/folders/41285"
          }
        }
      }
    }
    
    Show More